# e-popup-menu

## Name

e-popup-menu --

## Synopsis

                EPopupMenu;
    GtkMenu*    e_popup_menu_create             (EPopupMenu *menu_list,
                                                 guint32 disable_mask,
                                                 guint32 hide_mask,
                                                 void *closure);
    void        e_popup_menu_run                (EPopupMenu *menu_list,
                                                 GdkEventButton *event,
                                                 guint32 disable_mask,
                                                 guint32 hide_mask,
                                                 void *closure);

## Description

## Details

### EPopupMenu

    typedef struct {
    	char *name;
    	char *pixname;
    	void (*fn) (GtkWidget *widget, void *closure);
    	EPopupMenu *submenu;
    	guint32 disable_mask;
    } EPopupMenu;

### e_popup_menu_create ()

    GtkMenu*    e_popup_menu_create             (EPopupMenu *menu_list,
                                                 guint32 disable_mask,
                                                 guint32 hide_mask,
                                                 void *closure);

`menu_list` : |
`disable_mask` : |
`hide_mask` : |
`closure` : |
Returns : |

### e_popup_menu_run ()

    void        e_popup_menu_run                (EPopupMenu *menu_list,
                                                 GdkEventButton *event,
                                                 guint32 disable_mask,
                                                 guint32 hide_mask,
                                                 void *closure);

`menu_list` : |
`event` : |
`disable_mask` : |
`hide_mask` : |
`closure` : |